nheko
----
[![Build Status](https://travis-ci.org/mujx/nheko.svg?branch=master)](https://travis-ci.org/mujx/nheko) [![Build status](https://ci.appveyor.com/api/projects/status/07qrqbfylsg4hw2h/branch/master?svg=true)](https://ci.appveyor.com/project/mujx/nheko/branch/master)

The motivation behind the project is to provide a native desktop app for [Matrix] that
feels more like a mainstream chat app ([Riot], Telegram etc) and less like an IRC client.

### Features

Most of the features you'd expect from a chat application are missing right now
but you can of course receive and send messages in the rooms that you are a member of.

### Requirements

- Qt5 (5.8 is used for development).
- CMake 3.1 or greater.
- A compiler that supports C++11.
    - Clang 3.3 (or greater).
    - GCC 5 (or greater).

##### Arch Linux

```bash
$ sudo pacman -S qt5-base cmake gcc
```

##### Ubuntu 14.04

```bash
$ sudo add-apt-repository ppa:ubuntu-toolchain-r/test
$ sudo add-apt-repository ppa:beineri/opt-qt562-trusty
$ sudo add-apt-repository ppa:george-edison55/cmake-3.x
$ sudo apt-get update
$ sudo apt-get install gcc-6 g++-6 clang qt56base cmake # or gcc-5 gcc++-5
```

##### OSX (Xcode 7 or later)

```bash
$ brew update
$ brew install qt5
```

### Building

```bash
cmake -H. -Bbuild -DCMAKE_BUILD_TYPE=Release # Default is Debug.
make -C build
```

The `nheko` binary will be located in the `build` directory.

[Here](https://ci.appveyor.com/project/mujx/nheko/branch/master/artifacts) you can
find development builds for Windows.

### Contributing

Any kind of contribution to the project is greatly appreciated. You are also
encouraged to open feature request issues.

### Screens

Here is a screen shot to get a feel for the UI, but things will probably change.

![nheko](https://dl.dropboxusercontent.com/s/u6rsx8rsp1u2sko/screen.png)


### License

[GPLv3]

[Matrix]:https://matrix.org
[Riot]:https://riot.im
[GPLv3]:https://www.gnu.org/licenses/gpl-3.0.en.html
